<script>
import Vue from "vue";
import { SlpButton } from "slippers-ui";
import GitLabIcon from "@/assets/gitlab2.vue";

export default Vue.extend({
  name: "SlpNavigationDesktopMinimized",
  components: {
    SlpButton,
    GitLabIcon,
  },
});
</script>

<template>
  <div class="slp-py-8">
    <div class="be-nav-navigation-bottom-minimized centered">
      <div class="navigation-bottom-left">
        <SlpButton variant="icon" href="/">
          <GitLabIcon ariaId="tanukiHomeDesktop" />
        </SlpButton>
      </div>
    </div>
  </div>
</template>

<style lang="scss">
.be-nav-navigation-bottom-minimized {
  display: flex;
  justify-content: space-between;
  align-items: center;

  // Override default link styling in nav
  a {
    color: $color-text-200;
  }

  &.centered {
    justify-content: center;
  }

  .navigation-bottom-left {
    display: flex;
    align-items: center;

    .navigation-item {
      position: relative;

      &:hover {
        font-weight: $font-weight-bold;
        svg {
          display: block;
        }
      }

      &.active {
        svg {
          display: block;
        }
      }

      &:not(:last-child) {
        margin-right: $spacing-16;
      }
    }
  }

  .navigation-bottom-right {
    display: flex;
    align-items: center;
  }
}
</style>
